LIBSKK(1)

NAME
skk - program that emulates Japanese SKK input method

SYNOPSIS
skk [options]

DESCRIPTION
skk is a tool that reads key sequences from the standard input and converts them to Japanese text according to a Japanese input method called SKK (Simple Kana to Kanji conversion program).

More information about the SKK input method itself can be found at: http://openlab.jp/skk/

OPTIONS
The skk command follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-f, --file-dict=FILE
    Specify path to a file dictionary.

-u, --user-dict=FILE
    Specify path to a user dictionary.

-s, --skkserv=HOST:PORT
    Specify host and port running skkserv.

-r, --rule=RULE
    Specify typing rule.

-l, --list-rules
    List typing rules.

EXAMPLE

echo "A i SPC" | skk
    Converts a capital letter "A" followed by lowercase letter "i" and a space.

echo "K a p a SPC K a SPC" | skk
    Converts a capital letter "K" followed by lowercase letters "a", "p", "a", and a space. Then converts a capital letter "K" followed by "a" and a space.

echo "r k" | skk -r tutcode
    Converts two lowercase letters "r" and "k" with TUT-Code typing rule.

echo "a (usleep 50000) b (usleep 200000)" | skk -r nicola
    Converts two lowercase letters "a" and "b" typed with a 50000 micro seconds interval, and wait 200000 micro seconds, with NICOLA typing rule.

AUTHOR
libskk was written by Daiki Ueno <ueno@unixuser.org>.